Subject: [sipcore] Misalignments between the P- header definitions in RFC 3455, RFC 7315 and 3GPP TS 24.229: P-Charging-Vector

From: Christer Holmberg <[email-masked]>
Date: Thu, 3 Dec 2015 11:42:07 +0000

Hi,

3GPP has been studying possible misalignments between the P- header definitions in RFC 3455, RFC 7315 and 3GPP TS 24.229.

Rather than posting all the issues in a single e-mail, I will send e-mails per header field. This e-mail is about P-Charging-Vector   (PCV), where one issue was identified.

Issue 1)             RFC 7315 allows PCV in responses.

RFC 3455 and 3GPP TS 24.229 allow PCV in both requests and responses. However, RFC 7315 is incositent.

Chapters 4.6, 4.6.2.1, 4.6.2.2, 4.6.3 and 4.6.4.1 imply that the PCV can be used in both requests and responses.

However, chapter 5.7 says:

                "The P-Charging-Vector header field can appear
               in all SIP methods except CANCEL."

I assume this is just a bug in section 5.7, which could be fixed with an errata:

OLD TEXT:

                "The P-Charging-Vector header field can appear
               in all SIP methods except CANCEL."

NEW TEXT:

                "The P-Charging-Vector header field can appear
               in all SIP methods except CANCEL and in all responses."

Regards,

Christer